Summary
Get Details of a Workflow
Description
Get the details of a Workflow by Workflow name.
Route
GET /automation-studio/workflows/detailed/:name
Roles
admin
engineering
support
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| name |
string |
yes |
Name of Workflow to get Workflow details. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| workflow_details |
object |
Workflow details matching the Workflow name. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"d252b63bfd2d402065d91a72",
"0969a7a69ca2911b169d711d"
],
"gridCoordinate": {
"x": -44658798.82632797,
"y": 86270036.9710634
}
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"7bd1e19831f38ea2ad77fdc3",
"cb4cc67193a74ce8fc519944"
],
"x": -50108356.66511659,
"y": -97652519.04611279
},
"error_handler": {
"name": "childJob",
"summary": "laborum sint",
"description": "ipsum et velit commodo amet",
"app": "ut",
"variables": {
"error": ""
},
"groups": [
"0cc38ad96e1311c9d2ede65d",
"9180136ca717ca76cece3d10",
"845443d8eff6577c3e53d571",
"30bee7f06f10753e6c31ccdf"
],
"type": "operation",
"deprecated": true,
"scheduled": false,
"retrySettings": {
"state": [
"error",
"error",
"failure",
"error"
],
"autoRetry": true,
"limit": 20,
"delay": 1000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"cf49253e2fa22b520f07e0bd"
],
"_id": "4321abcdef694aa79dae47ad",
"description": null,
"preAutomationTime": 250000,
"font_size": 12,
"created": "2014-06-14T14:40:47.741Z",
"created_by": "b06b1e8480577995a8c11680",
"last_updated": "1992-06-28T16:50:08.273Z",
"last_updated_by": "1653892a41eff2bbdaabb224",
"lastUpdatedVersion": "commodo dolor sit non",
"tags": [
"occaecat eu veniam",
"in"
],
"canvasVersion": 1,
"encodingVersion": 1
}